%define kdeprefix /usr
%define version 0.2.7
%define kderelease 3

%define qtver  qt1x >= 1.45

%define kdename  ktalk
Name: %{kdename}
Summary: KTalk is a graphical talk client
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: http://www.student.uni-kl.de/~blehner/ktalk/%{kdename}-%{version}.tar.gz
Source1: config.sub.alphaev6
License: GPL
URL: http://www.student.uni-kl.de/~blehner/ktalk/index.html
Group: Applications/Internet
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KTalk is a graphical talk client for the K Desktop Environment (KDE).
It has supports several enhanced capabilities such as multiple connections,
addressbook support.  It can wrap text automatically, unlike the normal
console-based talk client.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
cp %{SOURCE1} config.sub

%build
export KDEDIR=%{kdeprefix} QTDIR=/usr/lib/qt-1.45 kde_htmldir=%{prefix}/doc/kde/HTML

%configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -I/usr/include/kde"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- fix build on alpha

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
